@library('jenkins-shared-library')
import com.shared.utils.JobTemplate

pipeline {
    agent {
        label 'nomad'
    }
    // tools {
    //     go 'go 1.20.2'
    // }
    // environment {
    //     CGO_ENABLED = 1
    // }
    
    stages {
        stage('deploy') {
            steps {
                sh """
                export NOMAD_ADDR=http://nomad-labs.atklik.xyz:4646/
                export NOMAD_TOKEN=cf7f9824-11f9-dafe-8a93-b36561b541c9
                nomad job status
                nomad-pack registry list
                """
            }
        }
        // stage('nomad-pack') {
        //     steps {
        //         sh """
        //         export NOMAD_ADDR=http://nomad-labs.atklik.xyz:4646/
        //         export NOMAD_TOKEN=cf7f9824-11f9-dafe-8a93-b36561b541c9
        //         nomad job status -namespace=*
        //         """
        //     }
        // }
        // stage('Nomad Download') {
        //     steps {
        //         sh 'curl -C - --output nomad.zip https://releases.hashicorp.com/nomad/1.5.0/nomad_1.5.0_linux_amd64.zip'
        //         unzip zipFile: 'nomad.zip'
        //     }
        // }
        // stage('List Job') {
        //     steps {
        //         sh """
        //         export NOMAD_ADDR=http://nomad-labs.atklik.xyz:4646/
        //         export NOMAD_TOKEN=cf7f9824-11f9-dafe-8a93-b36561b541c9
        //         ls -al
        //         chmod +x nomad
        //         ./nomad job status --namespace=docman
        //         """
        //     }
        // }
        
        // stage('deploy Job') {
        //     steps {
                
        //             sh """
                    
        //             curl -C  - -o nomad.zip https://releases.hashicorp.com/nomad/1.5.0/nomad_1.5.0_linux_amd64.zip
        //             """
                    
        //             unzip zipFile: 'nomad.zip'
        //             sh """
        //             export NOMAD_ADDR=http://nomad-labs.atklik.xyz:4646/
        //             export NOMAD_TOKEN=cf7f9824-11f9-dafe-8a93-b36561b541c9
        //             ls -al
        //             chmod +x nomad
        //             if [-d hello_world];then
        //             cd hello_world
        //             else
        //             git clone https://gitlab.com/steven87.ags/hello_world
        //             cd hello_world
        //             ls -al
        //             fi
        //             #export NOMAD_ADDR=http://nomad-labs.atklik.xyz:4646/
        //             #export NOMAD_TOKEN=cf7f9824-11f9-dafe-8a93-b36561b541c9
        //             ../nomad job run --namespace=docman hello_world.hcl 
        //             ls -al ~/.local/bin
        //             nomad-pack registry list
        //             """
                 
                
            // sh """
            // # git clone https://github.com/hashicorp/nomad-pack
            // cd ./nomad-pack && ls -al
            // go build
            // chmod +x nomad-pack && ./nomad-pack registry list
            // """
                
        //     }
        // }
        
        // stage('Nomad-pack Binary') {
        //     steps {
        //         sh """
        //         cd nomad-pack-binary
        //         git pull https://gitlab.com/steven87.ags/nomad-pack-binary
        //         chmod +x nomad-pack
        //         """
        //     }
        // }
        // stage('Nomad-pack Deploy') {
        //     steps {
        //         sh """
        //         cd nomad-pack-binary
        //         ./nomad-pack registry list
        //         """
        //     }
        // }
        
    }
}                  

